Bug 22680 - Upgrade failed to create /boot/initrd-2.4.0-0.43.6.img
Upgrade failed to create /boot/initrd-2.4.0-0.43.6.img
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Erik Troan
Brock Organ
Florence Beta-3
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-21 13:08 EST by Jaroslaw Sosnicki
Modified: 2007-03-26 23:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-16 13:27:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslaw Sosnicki 2000-12-21 13:08:59 EST
I was upgrading RedHat 7.0 (up-to-date patches installed) on my Pentium 
Pro 200MHz 176M of memory system (Intel PR440FX mother board)

Here is the list of problems that I ancountered:

1. Created biit disk form bet1 CD1
dd if=boot.img of=/dev/fd0
OK!

2. Booted the system using boot disk
OK!

3. Selected default on install screen "Enter"
Problem: It took very long time (2 Hours) to go trough hardware detection 
before I got Xserver instalation screen

4. Aborted and rebooted as in step 2.

5. Instead of selecting default I typed:
linux mem=176M
Problem: Same as in step 3.

6. Aborted and rebooted as in step 2.

7. Instead of selecting default I typed:
linux mem=128M
OK! It worked significantly faster.
It took only 2 Minutes to go trough hardware detection before I got 
Xserver instalation screen

8. Proceaded with instalation
OK!

9. Removed boot floppy and CD-ROM
10. Rebooted the server as requested on the screen
11. At boot prompt I selected linux from graphics screen
12. Server hanged
13. Rebooted
14. At boot prompt I selected linux-u from graphics screen
15. I was able to boot server and get to # prompt
16. Investigated the problem why it would not boot as linux
Problem: /boot/initrd-2.4.0-0.43.6.img and /boot/initrd-2.4.0-
0.43.6smp.img where not there. 
/etc/lilo.conf had only original information from 7.0
17. Tryed to create immage file:
cd /boot
mkinitrd initrd-2.4.0-0.43.6.img 2.4.0-0.43.6
Problem: System complains about all loopback devices being used.

System is in unusable state and prior version of the kernel is removed.

Suggestion:
Please provide mechanizm in instalation process to preserve prior version 
of the kernel during upgrade.
Comment 1 Michael Fulbright 2000-12-21 13:51:27 EST
Assigning to a developer.
Comment 2 Glen Foster 2001-01-11 16:14:31 EST
This defect is considered MUST-FIX for Florence Gold release
Comment 3 Erik Troan 2001-01-12 14:13:49 EST
What's the hard drive layout you installed to?
Comment 4 Jaroslaw Sosnicki 2001-01-12 16:49:23 EST
Disk /dev/sda: 255 heads, 63 sectors, 554 cylinders
Units = cylinders of 16065 * 512 bytes

   Device Boot    Start       End    Blocks   Id  System
   /dev/sda1   *         1         3     24066   83  Linux
   /dev/sda2             4       554   4425907+   5  Extended
   /dev/sda5             4       230   1823346   83  Linux
   /dev/sda6           231       457   1823346   83  Linux
   /dev/sda7           458       490    265041   83  Linux
   /dev/sda8           491       523    265041   83  Linux
   /dev/sda9           524       554    248976   82  Linux swap

Comment 5 Erik Troan 2001-01-16 13:27:50 EST
Upgrades weren't support in beta1 -- please try this with beta2 and let us know
if it's hosed (preferably by reopening this bug).

Note You need to log in before you can comment on or make changes to this bug.